Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class RecordDelimiterFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.RecordDelimiterFactoryAssembler

    public class RecordDelimiterFactoryAssembler

extends java.lang.Object

The `RecordDelimiterFactoryAssembler` implements an assembler for assembling `RecordDelimiter` objects.

Constructor Summary
`RecordDelimiterFactoryAssembler()`

Method Summary
`RecordDelimiterFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(SeparatorFactory separatorFactory)`
`void` | `setContinuation(java.lang.String continuationChar)`
`void` | `setContinuationSequence(java.lang.String continuationSequence)`
`void` | `setEnd(java.lang.String end)`
`void` | `setEscapeCharacter(java.lang.String escapedBy)`
`void` | `setReadOnly(java.lang.String readOnly)`
`void` | `setStart(java.lang.String start)`
`void` | `setValue(java.lang.String value)`
`void` | `setWriteOnly(java.lang.String writeOnly)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordDelimiterFactoryAssembler

    public RecordDelimiterFactoryAssembler()

Method Detail

### setStart

    public void setStart(java.lang.String start)

### setEnd

    public void setEnd(java.lang.String end)

### setValue

    public void setValue(java.lang.String value)

### setReadOnly

    public void setReadOnly(java.lang.String readOnly)

### setWriteOnly

    public void setWriteOnly(java.lang.String writeOnly)

### setEscapeCharacter

    public void setEscapeCharacter(java.lang.String escapedBy)

### setContinuation

    public void setContinuation(java.lang.String continuationChar)

### setContinuationSequence

    public void setContinuationSequence(java.lang.String continuationSequence)

### injectComponent

    public void injectComponent(SeparatorFactory separatorFactory)

### assemble

    public RecordDelimiterFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD